INV_OBJREF (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class INV_OBJREF

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INV_OBJREF

All Implemented Interfaces:
  Serializable

public final class INV_OBJREF
extends SystemException

This exception indicates that an object reference is internally malformed. For example, the repository ID may have incorrect syntax or the addressing information may be invalid. This exception is raised by ORB::string_to_object if the passed string does not decode correctly. An ORB may choose to detect calls via nil references (but is not obliged to do detect them). `INV_OBJREF` is used to indicate this.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section Minor Code Meanings to see the minor codes for this exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INV_OBJREF()` Constructs an `INV_OBJREF` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`INV_OBJREF(int minor, CompletionStatus completed)` Constructs an `INV_OBJREF` exception with the specified minor code and completion status.
`INV_OBJREF(String s)` Constructs an `INV_OBJREF` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
`INV_OBJREF(String s, int minor, CompletionStatus completed)` Constructs an `INV_OBJREF` exception with the specified detail message, minor code, and completion status.

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INV_OBJREF

    public INV_OBJREF()

  Constructs an `INV_OBJREF` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

### INV_OBJREF

    public INV_OBJREF(String s)

  Constructs an `INV_OBJREF` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

### INV_OBJREF

    public INV_OBJREF(int minor,
                      CompletionStatus completed)

  Constructs an `INV_OBJREF` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - a `CompletionStatus` instance indicating the completion status

### INV_OBJREF

    public INV_OBJREF(String s,
                      int minor,
                      CompletionStatus completed)

  Constructs an `INV_OBJREF` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message
  `minor` - the minor code
  `completed` - a `CompletionStatus` instance indicating the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.